routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/', 'PagesController@accueil');
Auth::routes();

// #### ROUTES DU FRONT ####
Route::get('accueil','PagesController@accueil')->name("accueil");
Route::get('club','PagesController@club')->name("club");
Route::get('info-pratique','PagesController@infoPratique')->name("info-pratique");
Route::get('enseignement','PagesController@enseignement')->name("enseignement");
Route::get('competition','PagesController@competition')->name("competition");
Route::get('contact','PagesController@contact')->name("contact");
Route::get('front/document', 'FrontController@document')->name("document");
Route::get('front/journee', 'JourneeController@indexFront')->name("journee.indexFront");
Route::post('store-devenir-membre', 'PagesController@storeFront')->name('membre.store');
Route::post('message-envoyer', 'MessageController@send')->name('message.send');

//Affichage de l'album au clic sur la miniature dans galerie
Route::get('galerie/{album}/{titreAlbum}','PagesController@album')->name('galerie.album');

Route::get('liens_utiles','FrontController@liens_utiles')->name("liens_utiles");
Route::get('galerie','PagesController@galerie')->name("galerie");
Route::get('showGalerie','PagesController@showGalerie')->name("showGalerie");

Route::resource('commentaire', 'CommentaireController');
Route::get('commentaire/createCommentaire/{id}', 'CommentaireController@createCommentaire')->name('commentaire.createCommentaire')->where('id', '[0-9]+');
Route::get('commentaire/indexCommentaire/{id}', 'CommentaireController@indexCommentaire')->name('commentaire.indexCommentaire')->where('id', '[0-9]+');

// #### FIN ROUTE DU FRONT ####

// #### Routes pour le Back-office ####
Route::group(['prefix' => 'admin','middleware'=>'admin'], function() {

    Route::get('/laravel-filemanager', '\Unisharp\Laravelfilemanager\controllers\LfmController@show');

    Route::get('/', function () {
                return view('admin.page.dashboard');
            })
            ->name('admin.dashboard');
    Route::get('dashboard', function () {
        route('admin.dashboard');
    });

    //FileManager El-finder
    Route::get('el-finder' , '\Barryvdh\Elfinder\ElfinderController@showConnector')->name('el-finder');

    // Galerie
    Route::get('photo/create/{album_id}', 'PhotoController@create')->name('photo.create')->where('album_id', '[0-9]+');
    Route::post('photo', 'PhotoController@store')->name('photo.store');
    Route::get('photo/banque', 'PhotoController@banque')->name('photo.banque');
    Route::delete('photo/{id}', 'PhotoController@destroy')->name('photo.destroy')->where('id', '[0-9]+');
    //Route::resource('photo', 'PhotoController');
    Route::resource('album', 'AlbumController');
    Route::resource('partenaire', 'PartenaireController');

    // Utilisateurs / Profil
    //
    Route::resource('user', 'UserController');

    Route::post('info-pratique','UserController@storeFront')->name("user.storeFront");

    // Documents
    //
    Route::resource('document','DocumentController');

    // Articles
    //
    Route::resource('news', 'NewsController');

    //CommentaireController
    //
    Route::delete('commentaire/deleteCommentaire/{id}', 'CommentaireController@deleteCommentaire')->name('deleteCommentaire')->where('id', '[0-9]+');

    // Tournois
    //
    Route::resource('tournoi', 'TournoiController');
    // Equipes et Rencontres
    //
    Route::resource('equipe', 'EquipeController');
    Route::resource('rencontre', 'RencontreController');
    Route::get('rencontre/index/{id}', 'RencontreController@index')->name('rencontre.index')->where('id', '[0-9]+');
    Route::get('rencontre/createR/{id}', 'RencontreController@createR')->name('rencontre.createR')->where('id', '[0-9]+');
    Route::get('rencontre/convoquer/{id}', 'RencontreController@convoquer')->name('rencontre.convoquer')->where('id', '[0-9]+');
    Route::post('rencontre/convoquerstore/{id}', 'RencontreController@convoquerstore')->name('rencontre.convoquerstore');

    // Coordonnees
    // ça c'est à moitié fait enfin j'crois...
    Route::resource('comite', 'ComiteController');
    
    Route::get('comite/addUser/{id}', 'ComiteController@addUser')->name('comite.add_user');
    Route::get('comite/deleteUserStatut/{id}', 'ComiteController@deleteUserStatut')->name('comite.delete_user_statut');
    Route::put('comite/addUserStatut/{id}', 'ComiteController@addUserStatut')->name('comite.add_user_statut');
    Route::delete('comite/deleteStatut/{id}', 'ComiteController@deleteStatut')->name('deleteStatut');

    // Menu
    //
    Route::resource('contenu', 'ContenuController');
    Route::get('contenu/edit/{id_page}', 'ContenuController@edit')->name('contenu.edit');

    // Message
    //
    Route::resource('message', 'MessageController');

    //Journees
    Route::resource('journee', 'JourneeController');

// #### FIN ROUTES BACK OFFICE ####
});

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [

  'nom','prenom', 'email', 'telephone', 'password', 'joueur' , 'admin', 'arbitre','valider', 'commentaire','comite_id'


    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function comite()
    {
        return $this->belongsTo('App\Models\Comite');
    }

    public function documents()
    {
        return $this->hasMany('App\Models\Document');
    }
    public function rencontres()
    {
        return $this->belongsToMany('App\Models\Rencontre')->withPivot('confirmation');
    }
    public function journee()
    {
        return $this->belongsToMany('App\Models\Journee')->withPivot('disponibilite');
    }
}

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];
}

app/Http/Controllers/UserController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Comite;
Use File;
use Intervention\Image\ImageManager;
use Illuminate\Filesystem\Filesystem;
use App\Http\Requests;


class UserController extends Controller {

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index() {
        $lesUsers = User::all();
        return view('admin.user.index')
                        ->with('tab_users', $lesUsers);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create() {
        $lesComites = Comite::pluck('statut','id');
        $lesComites[]=null;
        return view('admin.user.create')
                        ->with('lesComites', $lesComites);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request) {
        $request->session()->flash('success', 'L\'utilisateur à été Ajouté !');


        if ($request->get('est_admin') == null) {
            $est_admin = false;
        } else {
            $est_admin = true;
        }

        if ($request->get('est_joueur') == null) {
            $est_joueur = false;
        } else {
            $est_joueur = true;
        }

        if ($request->get('est_arbitre') == null) {
            $est_arbitre = false;
        } else {
            $est_arbitre = true;
        }




        User::create([
            'nom' => $request->get('nom'),
            'prenom' => $request->get('prenom'),
            'email' => $request->get('email'),
            'telephone' => $request->get('telephone'),
            'password' => bcrypt($request->get('password')),
            'commentaire' => $request->get('commentaire'),
            'est_admin' => $est_admin,
            'est_joueur' => $est_joueur,
            'est_arbitre' => $est_arbitre,
            'comite_id' => $request->get('comite'),


        ]);

        return redirect()->route("user.index");
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */

    

    public function show($id) {

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id) {
        $leUser = user::find($id);
        return view('admin.user.edit')
                        ->with("leUser", $leUser);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id) {
        $leUser = User::find($id);

        if ($request->get('est_admin') == null) {
            $est_admin = false;
        } else {
            $est_admin = true;
        }

        if ($request->get('est_joueur') == null) {
            $est_joueur = false;
        } else {
            $est_joueur = true;
        }
        if ($request->get('est_arbitre') == null) {
            $est_arbitre = false;
        } else {
            $est_arbitre = true;
        }
        if ($request->get('valider') == null) {
            $valider = false;
        } else {
            $valider = true;
        }



        $leUser->nom = $request->get('nom');
        $leUser->prenom = $request->get('prenom');
        $leUser->email = $request->get('email');
        $leUser->telephone = $request->get('telephone');
        $leUser->commentaire = $request->get('commentaire');

        if ($request->get('password') !="") {
              $leUser->password = bcrypt($request->get('password'));
        }

        $leUser->est_admin = $est_admin;
        $leUser->est_joueur = $est_joueur;
        $leUser->est_arbitre = $est_arbitre;
        $leUser->valider = $valider;



        $leUser->save();

        return redirect()->route("user.index");
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request, $id) {
        $request->session()->flash('success', 'L\'utilisateur à été Supprimé !');

        $user = User::find($id);

        $user->delete();

        return redirect()->route("user.index");
    }



}

resources/views/admin/user/create.blade.php
@extends('layout_back')

@section('title')
<h1>
    Enrengistrement d'un utilisateur
    <small>- Enrengistrement d'un utilisateur</small>
</h1>
@stop

@section('content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Inscription</div>
                <div class="panel-body">
                    <form class="form-horizontal" role="form" method="POST" action="{{ route('user.store') }}">
                        {{ csrf_field() }}

                        <div class="form-group{{ $errors->has('nom') ? ' has-error' : '' }}">
                            <label for="nom" class="col-md-4 control-label">Nom</label>

                            <div class="col-md-6">
                                <input id="nom" type="text" class="form-control" name="nom" value="{{ old('nom') }}" required autofocus>

                                @if ($errors->has('nom'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('nom') }}</strong>
                                </span>
                                @endif
                            </div>
                        </div>


                        <div class="form-group{{ $errors->has('prenom') ? ' has-error' : '' }}">
                            <label for="prenom" class="col-md-4 control-label">Prénom</label>

                            <div class="col-md-6">
                                <input id="prenom" type="text" class="form-control" name="prenom" value="{{ old('prenom') }}" required autofocus>

                                @if ($errors->has('prenom'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('prenom') }}</strong>
                                </span>
                                @endif
                            </div>
                        </div>




                        <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
                            <label for="email" class="col-md-4 control-label">E-Mail </label>

                            <div class="col-md-6">
                                <input id="email" type="email" class="form-control" name="email" value="{{ old('email') }}" required>

                                @if ($errors->has('email'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('email') }}</strong>
                                </span>
                                @endif
                            </div>
                        </div>


                        <div class="form-group{{ $errors->has('telephone') ? ' has-error' : '' }}">
                            <label for="telephone" class="col-md-4 control-label">Téléphone</label>

                            <div class="col-md-6">
                                <input id="telephone" type="telephone" class="form-control" name="telephone" value="{{ old('telephone') }}" required>

                                @if ($errors->has('telephone'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('telephone') }}</strong>
                                </span>
                                @endif
                            </div>
                        </div>


                        <div class="form-group{{ $errors->has('password') ? ' has-error' : '' }}">
                            <label for="password" class="col-md-4 control-label">Mot de passe</label>

                            <div class="col-md-6">
                                <input id="password" type="password" class="form-control" name="password" required>

                                @if ($errors->has('password'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('password') }}</strong>
                                </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="password-confirm" class="col-md-4 control-label">Confirmation du mot de passe</label>

                            <div class="col-md-6">
                                <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required>
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('est_joueur') ? ' has-error' : '' }}">
                            <label for="joueur" class="col-md-4 control-label">Est-il un joueur?</label>

                            <div class="checkbox">
                               <input data-toggle="toggle" type="checkbox"  data-onstyle="success" name="joueur" >

                                @if ($errors->has('est_joueur'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('est_joueur') }}</strong>
                                </span>
                                @endif
                            </div>
                        </div>


                       <div class="form-group{{ $errors->has('est_admin') ? ' has-error' : '' }}">
                            <label for="est_admin" class="col-md-4 control-label">Est-il un administrateur?</label>

                            <div class="checkbox">
                               <input data-toggle="toggle" type="checkbox"   data-onstyle="success" name="est_admin" >

                                @if ($errors->has('est_admin'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('est_admin') }}</strong>
                                </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('est_arbitre') ? ' has-error' : '' }}">
                             <label for="arbitre" class="col-md-4 control-label">Est-il un arbitre?</label>

                             <div class="checkbox">
                                <input data-toggle="toggle" type="checkbox"   data-onstyle="success" name="arbitre" >

                                 @if ($errors->has('est_arbitre'))
                                 <span class="help-block">
                                     <strong>{{ $errors->first('est_arbitre') }}</strong>
                                 </span>
                                 @endif
                             </div>
                         </div>
                        <div class="form-group{{ $errors->has('comite') ? ' has-error' : '' }}">
                             <label for="arbitre" class="col-md-4 control-label">Comite</label>

                             <div class="checkbox">
                                {!! Form::select('comite',$lesComites, ["class"=>"btn btn-primary dropdown-toggle"])!!}

                                 @if ($errors->has('est_arbitre'))
                                 <span class="help-block">
                                     <strong>{{ $errors->first('est_arbitre') }}</strong>
                                 </span>
                                 @endif
                             </div>
                         </div>
  

                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <button type="submit" class="btn btn-primary">
                                    Inscrire l'utilisateur
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/admin/user/edit.blade.php
@extends('layout_back')

@section('title')
<h1>
    Modication d'un utilisateur
    <small>- Modication d'un utilisateur</small>
</h1>
@stop
@section('content')

{!! Form::open(['url' =>route('user.update',$leUser->id),'method' =>'put']) !!}

{!! Form::label('nom', 'nom') !!}
{!! Form::text('nom', $leUser->nom,['class'=> 'form-control'] ) !!}

{!! Form::label('prenom', 'prenom') !!}
{!! Form::text('prenom', $leUser->prenom,['class'=> 'form-control'] ) !!}

{!! Form::label('email', 'email') !!}
{!! Form::text('email', $leUser->email,['class'=> 'form-control'] ) !!}

{!! Form::label('telephone', 'telephone') !!}
{!! Form::text('telephone', $leUser->telephone,['class'=> 'form-control'] ) !!}

{!! Form::label('password', 'password') !!}
<input id="password" type="password" class="form-control" name="password" value="" >

{!! Form::label('commentaire', 'commentaire') !!}
{!! Form::textarea('commentaire', $leUser->commentaire, ['class'=> 'form-control', 'rows' => "3"] ) !!}









<div class="form-group{{ $errors->has('est_joueur') ? ' has-error' : '' }}">
    <label for="est_joueur" class="col-md-4 control-label">Est-il un joueur?</label>

    @if ( $leUser->est_joueur == 1)
            <div class="checkbox">
                <input data-toggle="toggle" type="checkbox"   data-onstyle="success" name="est_joueur" checked >
@else

            <div class="checkbox">
                <input data-toggle="toggle" type="checkbox"   data-onstyle="success" name="est_joueur" >
@endif

        @if ($errors->has('est_joueur'))
        <span class="help-block">
            <strong>{{ $errors->first('est_joueur') }}</strong>
        </span>
        @endif
    </div>
</div>

<div class="form-group{{ $errors->has('est_arbitre') ? ' has-error' : '' }}">
    <label for="est_arbitre" class="col-md-4 control-label">Est-il un arbitre?</label>

    @if ( $leUser->est_arbitre == 1)
            <div class="checkbox">
                <input data-toggle="toggle" type="checkbox"   data-onstyle="success" name="est_arbitre" checked >
@else

            <div class="checkbox">
                <input data-toggle="toggle" type="checkbox"   data-onstyle="success" name="est_arbitre" >
@endif

        @if ($errors->has('est_arbitre'))
        <span class="help-block">
            <strong>{{ $errors->first('est_arbitre') }}</strong>
        </span>
        @endif
    </div>
</div>


<div class="form-group{{ $errors->has('est_admin') ? ' has-error' : '' }}">
    <label for="est_admin" class="col-md-4 control-label">Est-il un administrateur?</label>



@if ( $leUser->est_admin == 1)
            <div class="checkbox">
                <input data-toggle="toggle" type="checkbox"   data-onstyle="success" name="est_admin" checked >
@else

            <div class="checkbox">
                <input data-toggle="toggle" type="checkbox"   data-onstyle="success" name="est_admin" >
@endif
                @if ($errors->has('est_admin'))
                <span class="help-block">
                    <strong>{{ $errors->first('est_admin') }}</strong>
                </span>
                @endif
            </div>
        </div>

<div class="form-group{{ $errors->has('valider') ? ' has-error' : '' }}">
    <label for="valider" class="col-md-4 control-label">Autorisé?</label>

   @if ( $leUser->valider == 1)
            <div class="checkbox">
                <input data-toggle="toggle" type="checkbox"   data-onstyle="success" name="valider" checked >
@else

            <div class="checkbox">
                <input data-toggle="toggle" type="checkbox"   data-onstyle="success" name="valider" >
@endif
                @if ($errors->has('valider'))
                <span class="help-block">
                    <strong>{{ $errors->first('valider') }}</strong>
                </span>
                @endif
            </div>
        </div>
        {!! Form::submit('Valider', ['class'=> 'btn btn-info']) !!}

        {!! Form::close()!!}
        @stop

resources/views/admin/user/index.blade.php
@extends('layout_back')

@section('title')
<h1>
    Administration des utilisateurs
    <small>- Rechercher, Modifier et supprimer des utilisateurs</small>
</h1>
@stop

@section('content')


<!-- Main content -->
<div class="row">
    <div class="col-md-12">
        <div class="box">
            <div class="box-header with-border">
                {!! Form::open(['route' => "user.create", 'method' => 'get']) !!}
                <button type="submit" class="btn btn-success btn-lg btn-block">Inscrire un utilisateur</button>
                {!! Form::close() !!}
                <!-- /.box-header -->
                <div class="box-body">

                    <!-- search form (Optional) -->
                    <form action="#" method="get">
                        <div class="input-group margin">
                            <input type="text" name="q" class="form-control" placeholder="Rechercher . . .">
                            <span class="input-group-btn">
                                <button type="submit" name="search" id="search-btn" class="btn btn-info btn-flat"><i class="fa fa-search"></i>
                                </button>
                            </span>
                        </div>
                    </form>

                    <table class="table table-bordered" >
                        <thead class="thead-inverse" >
                            <tr>

                                <th class="text-center">Noms d'utilisateur</th>
                                <th class="text-center">Valider</th>
                                <th class="text-center">Statut</th>
                                <th class="text-center">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($tab_users as $unUser)
                            <tr>

                                <td class="col-md-6 text-center"  id="td{{ $unUser["id"] }}">
                                    <h4> {{ $unUser["nom"] }}  {{ $unUser["prenom"] }} </h4>
                                </td>
                                <td class="col-md-1 text-center">
                                    @if ( $unUser->valider == 1)




                                    <button  class="btn  btn-success btn-circle" checked ><i class="fa fa-check  "></i></button>

                                    @else


                                    {!! Form::open(['route' => ["user.edit", $unUser->id], 'method' => 'get']) !!}
                                    <button type="submit" class="btn btn-danger btn-circle" ><i class="fa fa-times"></i></button>
                                    {!! Form::close() !!}
                                    @endif
                                </td>


                                <td class="col-md-4 text-center">
                                  @if ($unUser->est_arbitre == 1 and  $unUser->est_joueur == 1 and $unUser->est_admin == 1)

                                    <h4> Arbitre, Joueur et Administrateur </h4>

                                  @elseif ( $unUser->est_admin == 1 and  $unUser->est_joueur == 1)

                                    <h4>   Joueur et Administrateur </h4>

                                  @elseif ($unUser->est_arbitre == 1 and  $unUser->est_joueur == 1)

                                    <h4> Arbitre et Joueur </h4>

                                  @elseif ($unUser->est_arbitre == 1 and  $unUser->est_admin == 1)

                                    <h4> Arbitre et Administrateur </h4>


                                  @elseif ($unUser->est_admin == 1)

                                    <h4> Administrateur </h4>


                                  @elseif ($unUser->est_joueur ==1)

                                    <h4> Joueur </h4>

                                  @elseif ($unUser->est_arbitre ==1)

                                    <h4> Arbitre </h4>

                                    @else



                                    <h4> Membre </h4>


                                    @endif
                                </td>




                                <td class="col-md-2 text-center">
                                    <div class="row">
                                        <div class="col-md-6">
                                            {!! Form::open(['route' => ["user.edit", $unUser->id], 'method' => 'get']) !!}
                                            <button type="submit" class="btn btn-primary btn-circle"><i class="fa fa-list"></i></button>
                                            {!! Form::close() !!}
                                        </div>
                                        <div class="col-md-6">
                                            {!! Form::open(['route' => ["user.destroy", $unUser->id], 'method' => 'delete', 'id' => "form".$unUser->id]) !!}
                                            <button type="submit" id="{{ $unUser->id }}" class="jsDeleteButton btn btn-danger btn-circle "><i class="fa fa-times"></i></button>
                                            {!! Form::close() !!}
                                        </div>
                                    </div>
                                </td>

                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@stop